textures/icyworld/stratosphere
{
    qer_editorimage env/icyworld/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture
    q3map_lightrgb 1.0 1.0 1.0
    q3map_surfacelight 115
    q3map_lightsubdivide 256
    surfaceparm sky
    q3map_sunext 1.0 1.0 1.0 135 270 45 2 16
    skyparms env/icyworld/stratosphere - -
}

textures/icyworld/tileblack
{
    q3map_lightimage textures/icyworld/tileblack.tga
    qer_editorimage textures/icyworld/qer_tileblack_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tileblack.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_sl
{
    qer_editorimage textures/icyworld/tileblack.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileblack.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_med_sl
{
    qer_editorimage textures/icyworld/tileblack_med.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileblack_med.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tileblack_sm_sl
{
    qer_editorimage textures/icyworld/tileblack_sm.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tileblack_sm.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilepeacock
{
    q3map_lightimage textures/icyworld/tilepeacock.tga
    qer_editorimage textures/icyworld/qer_tilepeacock_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilepeacock.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilepeacock_sl
{
    qer_editorimage textures/icyworld/tilepeacock.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilepeacock.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilebanana
{
    q3map_lightimage textures/icyworld/tilebanana.tga
    qer_editorimage textures/icyworld/qer_tilebanana_tr.tga
    surfaceparm nodamage
    {
        map textures/icyworld/tilebanana.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/tilebanana_sl
{
    qer_editorimage textures/icyworld/tilebanana.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/tilebanana.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/wood
{
    qer_editorimage textures/icyworld/wood.jpg
    q3map_bouncescale 0.7
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyworld/wood.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/ladder
{
    qer_editorimage textures/icyworld/ladder.jpg
    q3map_bouncescale 0.7
    surfaceparm detail
    surfaceparm nodamage
    surfaceparm ladder
    {
        map textures/icyworld/ladder.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/glass_clear
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear.tga
    qer_trans 0.5
    q3map_bouncescale 0.4
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_clear_tr
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear.tga
    qer_trans 0.7
    q3map_bounceScale 0.4
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_clear.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_transparent
{
    q3map_lightimage textures/_icyworld/glass_radiosity.tga
    qer_editorimage textures/icyworld/qer_clear.tga
    qer_trans 0.3
    q3map_bounceScale 0.3
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/elev_plat
{
    qer_editorimage textures/icyworld/qer_elev_plat.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyworld/q3a_glass_transparent.tga
        blendfunc add
        tcGen environment
    }
}

textures/icyworld/glass_dark
{
    qer_editorimage textures/icyworld/qer_glass_dark.tga
    qer_trans 0.5
    q3map_bouncescale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyworld/urt41_chrome.tga
        rgbgen vertex
        blendfunc blend
        tcgen environment
    }
}

textures/icyworld/glass_dark_tr
{
    qer_editorimage textures/icyworld/qer_glass_dark.tga
    qer_trans 0.7
    q3map_bouncescale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    sort 7
    {
        map textures/_icyworld/urt41_chrome.tga
        rgbgen vertex
        blendfunc blend
        tcgen environment
    }
}

textures/icyworld/red_glow
{
    qer_editorimage textures/icyworld/qer_red_glow.tga
    qer_trans 0.4
    q3map_bounceScale 0.0
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    q3map_surfacelight 120
    tesssize 64
    cull disable
    {
        map textures/_icyworld/red_glow.tga
        blendfunc add
        tcGen environment
        rgbGen wave sin 0.75 0.25 0 1
    }
}

textures/icyworld/tile_trans_color
{
    qer_editorimage textures/icyworld/tile_trans_color.tga
    qer_trans 0.5
    q3map_bounceScale 0.0
    surfaceparm trans
    cull disable
    polygonoffset
    {
        map textures/icyworld/tile_trans_color.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/white_sl
{
    qer_editorimage textures/icyworld/white.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/icyworld/white.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/portal
{
    qer_editorimage textures/icyworld/portal.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/icyworld/portal.tga
        tcmod scroll 0 1
    }
}

textures/icyworld/light
{
    qer_editorimage textures/icyworld/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    {
        map textures/icyworld/light.tga
    }
}

textures/icyworld/icy_world
{
    qer_editorimage textures/icyworld/icy_world.tga
    polygonoffset
    {
        map textures/icyworld/icy_world.tga
        blendfunc blend
        rgbgen wave sin 0.75 0.25 0 0.4
        alphagen const 1

    }
}

textures/icyworld/looking_glass
{
    qer_editorimage textures/icyworld/qer_looking_glass.tga
    portal
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    {
        map textures/_icyworld/looking_glass_clear.tga
        blendFunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
    {
        map textures/_icyworld/q3a_looking_glass_fog.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        alphagen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcmod scroll 0.05 0.2
    }
}

textures/icyworld/black
{
    qer_editorimage textures/icyworld/black.tga
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/black_sl
{
    qer_editorimage textures/icyworld/black.tga
    surfaceparm slick
    {
        map textures/icyworld/black.tga
    }
}

textures/icyworld/depressed_button
{
    qer_editorimage textures/icyworld/orange.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/icyworld/orange.tga
    }
}

textures/icyworld/please_wait
{
    qer_editorimage textures/icyworld/qer_please_wait.tga
    polygonoffset
    {
        map textures/_icyworld/please_wait.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/nooby_hell
{
    qer_editorimage textures/icyworld/qer_nooby_hell.tga
    polygonoffset
    {
        map textures/_icyworld/nooby_hell.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/samus_lift
{
    qer_editorimage textures/icyworld/qer_samus_lift.tga
    polygonoffset
    {
        map textures/_icyworld/samus_lift.tga
        blendfunc blend
        rgbgen vertex
        alphagen const 1
    }
}

textures/icyworld/flashing_button
{
    qer_editorimage textures/icyworld/red.tga
    surfaceparm nodamage
    surfaceparm detail
    {
        map textures/icyworld/red.tga
        rgbgen wave square 0.7 0.3 0 2.3
    }
}

textures/icyworld/lava
{
    qer_editorimage textures/icyworld/qer_lava.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 375
    tesssize 96
    cull disable
    {
        map textures/_icyworld/q3a_lava_bg.jpg
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/_icyworld/q3a_lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/icyworld/lavafog
{
    qer_editorimage textures/icyworld/qer_lavafog.tga
    qer_trans 0.50
    qer_nocarve
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm fog
    surfaceparm nolightmap
    fogparms ( 0.94 0.50 0.16 ) 150
}

textures/icyworld/lava_room_walls
{
    qer_editorimage textures/icyworld/lava_room_walls.jpg
    surfaceparm nodamage
    {
        map textures/icyworld/lava_room_walls.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/got_leet
{
    qer_editorimage textures/icyworld/qer_got_leet.tga
    qer_trans 0.5
    surfaceparm trans
    sort 10
    polygonoffset
    {
        map textures/_icyworld/got_leet.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/darkfloor
{
    qer_editorimage textures/icyworld/darkfloor.jpg
    {
        map textures/icyworld/darkfloor.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }

}

textures/icyworld/darkceil
{
    qer_editorimage textures/icyworld/darkceil.jpg
    {
        map textures/icyworld/darkceil.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }

}

textures/icyworld/samus
{
    qer_editorimage textures/icyworld/samus.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 10
    {
        map textures/icyworld/samus.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/samus_mir
{
    qer_editorimage textures/icyworld/samus_mir.tga
    surfaceparm detail
    surfaceparm trans
    surfaceparm nonsolid
    sort 7
    {
        map textures/icyworld/samus_mir.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/riley
{
    qer_editorimage textures/icyworld/riley.tga
    polygonoffset
    {
        map textures/icyworld/riley.tga
        blendfunc blend
        alphagen const 1
    }
}

textures/icyworld/walljump
{
    qer_editorimage textures/icyworld/walljump.tga
    surfaceparm nodamage
    {
        map textures/icyworld/walljump.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/icyworld/barrier
{
    qer_editorimage textures/icyworld/barrier.tga
    surfaceparm detail
    surfaceparm nodamage
    {
        map textures/icyworld/barrier.tga
    }
    {
        map $lightmap
        blendfunc filter
    }
}
